<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" href="/dashboard">Comment Client</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto" *ngIf="auth.tokenValidate">
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="dashboard">Dashboard</a>
      </li>

      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="presence/add">Anwesenheit eintragen</a>
      </li>

      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="lesson">Stunden Verwaltung</a>
      </li>
    </ul>
    <ul class="navbar-nav mr-auto" *ngIf="!auth.tokenValidate">
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" routerLink="login">Login</a>
      </li>
    </ul>

    <ul class="navbar-nav ml-auto" *ngIf="auth.tokenValidate">
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
           aria-haspopup="true" aria-expanded="false">
          User {{auth.getName()}}
        </a>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" (click)="auth.logout()">Logout</a>
        </div>
      </li>
    </ul>
  </div>
</nav>
<br>
<div class="container">
  <div class="card">
    <div class="card-body">
      <router-outlet></router-outlet>
    </div>
  </div>
</div>
